org.apache.cayenne.dba.derby

## Class DerbyEJBQLConditionTranslator

- java.lang.Object
- - org.apache.cayenne.ejbql.EJBQLBaseVisitor
  - - org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator
    - - org.apache.cayenne.dba.derby.DerbyEJBQLConditionTranslator

- All Implemented Interfaces:
    EJBQLExpressionVisitor

      public class DerbyEJBQLConditionTranslator
      extends EJBQLConditionTranslator

  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `context, multiColumnOperands`

    - ### Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `continueFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerbyEJBQLConditionTranslator(EJBQLTranslationContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visitConcat(EJBQLExpression expression, int finishedChildIndex)`
    `boolean` | `visitCurrentTimestamp(EJBQLExpression expression)`

    - ### Methods inherited from class org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator

      `addMultiColumnOperand, afterChild, checkNullParameter, visitAbs, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitBetween, visitBooleanLiteral, visitCurrentDate, visitCurrentTime, visitDbPath, visitDecimalLiteral, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitGreaterOrEqual, visitGreaterThan, visitIdentificationVariable, visitIn, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMemberOf, visitMod, visitMultiply, visitNamedInputParameter, visitNamedInputParameterForIn, visitNot, visitNotEquals, visitOr, visitPath, visitPositionalInputParameter, visitPositionalInputParameterForIn, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitTrim, visitTrimBoth, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpper`

    - ### Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor

      `visitAbstractSchemaName, visitAscending, visitAverage, visitClassName, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitDelete, visitDescending, visitDistinct, visitFrom, visitFromItem, visitGroupBy, visitHaving, visitIdentifier, visitInnerFetchJoin, visitInnerJoin, visitMax, visitMin, visitNegative, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPatternValue, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSum, visitTok, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitWhere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DerbyEJBQLConditionTranslator

          public DerbyEJBQLConditionTranslator(EJBQLTranslationContext context)

  - ### Method Detail

    - #### visitCurrentTimestamp

          public boolean visitCurrentTimestamp(EJBQLExpression expression)

      Specified by:
        `visitCurrentTimestamp` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitCurrentTimestamp` in class `EJBQLConditionTranslator`

    - #### visitConcat

          public boolean visitConcat(EJBQLExpression expression,
                                     int finishedChildIndex)

      Specified by:
        `visitConcat` in interface `EJBQLExpressionVisitor`
      Overrides:
        `visitConcat` in class `EJBQLConditionTranslator`

Copyright © 2001–2023 Apache Cayenne. All rights reserved.